/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.legato.tools.edit.snapping.dwr;

import javax.servlet.http.HttpSession;

import net.disy.legato.tools.edit.snapping.DummySnappingResolverProvider;
import net.disy.legato.tools.edit.snapping.SnappingResolverProvider;

import org.directwebremoting.annotations.RemoteMethod;
import org.directwebremoting.annotations.RemoteProxy;

import com.vividsolutions.jts.geom.Point;

@RemoteProxy(name = "DummySnappingResolver")
public class DummySnappingResolverController implements SnappingResolverController {

  private SnappingResolverProvider snappingResolverProvider = new DummySnappingResolverProvider();

  @Override
  @RemoteMethod
  public Point getSnapPoint(String layerId, double resolution, Point newCoordinate, HttpSession session) {
    return snappingResolverProvider.getSnappingResolver(layerId).getSnapPoint(resolution, newCoordinate);
  }

  @Override
  @RemoteMethod
  public Point[] getSnapPoints(
      String layerId,
      double resolution,
      Point lastCoordinate,
      Point newCoordinate,
      HttpSession session) {
    return snappingResolverProvider.getSnappingResolver(layerId).getSnapPoints(
        resolution,
        lastCoordinate,
        newCoordinate);
  }

}
