/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// Copyright (c) 2008 by disy Informationssysteme GmbH
package net.disy.legato.tools.servlet;

import java.io.IOException;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

// NOT_PUBLISHED
public class EchoServlet extends HttpServlet {

	private static final long serialVersionUID = -798338593417122694L;
	private static final String ECHO_PARAMETER_NAME = "ECHO"; //$NON-NLS-1$

	@Override
	protected void service(final HttpServletRequest request,
			final HttpServletResponse response) throws IOException {

		final String echoValue = request.getParameter(ECHO_PARAMETER_NAME);

		if (echoValue != null) {
			response.getWriter().print(echoValue);
		}

	}
}
